]> andersk Git - moira.git/blame - gen/zephyr.sh
Command line printer manipulation client, and build goo.
[moira.git] / gen / zephyr.sh
CommitLineData
883e2e2b 1#!/bin/sh
2# $Id$
3
f4f32185 4if [ -d /var/athena ] && [ -w /var/athena ]; then
5 exec >/var/athena/moira_update.log 2>&1
6else
7 exec >/tmp/moira_update.log 2>&1
8fi
9
883e2e2b 10# The following exit codes are defined and MUST BE CONSISTENT with the
11# error codes the library uses:
12MR_MISSINGFILE=47836473
13MR_MKCRED=47836474
14MR_TARERR=47836476
15
16hup=no
17PATH=/bin
18TARFILE=/var/tmp/zephyr.out
19
20# Alert if the tar file does not exist
21test -r $TARFILE || exit $MR_MISSINGFILE
22
23# Make a temporary directory to unpack the tar file into
24mkdir /etc/athena/zephyr/acl.new
25cd /etc/athena/zephyr/acl.new || exit $MR_MKCRED
26tar xf $TARFILE || exit $MR_TARERR
27
28# Copy over each file which is new or has changed
29for file in *; do
30 if [ -f ../acl/$file ]; then
0bad3a3a 31 cmp -s $file ../acl/$file
32 if [ $? != 0 ]; then
883e2e2b 33 mv $file ../acl/$file
34 hup=yes
35 fi
36 else
37 mv $file ../acl/$file
38 hup=yes
39 fi
40done
41
42# HUP zephyrd if needed
43case $hup in
44yes)
081ad334 45 pid=`ps -ef | awk '/[^\]]zephyrd/ { print $2; }'`
883e2e2b 46 kill -HUP $pid
47 sleep 5
48 ;;
49esac
50
51# cleanup
52rm -rf /etc/athena/zephyr/acl.new
53test -f $TARFILE && rm -f $TARFILE
54test -f $0 && rm -f $0
55
56exit 0
57
This page took 0.317138 seconds and 5 git commands to generate.